Package io.dapr.v1

# Class DaprAppCallbackProtos.TopicEventBulkResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>
io.dapr.v1.DaprAppCallbackProtos.TopicEventBulkResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.TopicEventBulkResponse

public static final class DaprAppCallbackProtos.TopicEventBulkResponse.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder> implements DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder

     AppBulkResponse is response from app on published message

Protobuf type `dapr.proto.runtime.v1.TopicEventBulkResponse`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `addAllStatuses(Iterable<? extends DaprAppCallbackProtos.TopicEventBulkResponseEntry> values)`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `addStatuses(int index, DaprAppCallbackProtos.TopicEventBulkResponseEntry value)`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `addStatuses(int index, DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder builderForValue)`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `addStatuses(DaprAppCallbackProtos.TopicEventBulkResponseEntry value)`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `addStatuses(DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder builderForValue)`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder`
  `addStatusesBuilder()`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder`
  `addStatusesBuilder(int index)`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponse`
  `build()`
  `DaprAppCallbackProtos.TopicEventBulkResponse`
  `buildPartial()`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `clear()`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `clearStatuses()`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `clone()`
  `DaprAppCallbackProtos.TopicEventBulkResponse`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `DaprAppCallbackProtos.TopicEventBulkResponseEntry`
  `getStatuses(int index)`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder`
  `getStatusesBuilder(int index)`
  The list of all responses for the bulk request.
  `List<DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder>`
  `getStatusesBuilderList()`
  The list of all responses for the bulk request.
  `int`
  `getStatusesCount()`
  The list of all responses for the bulk request.
  `List<DaprAppCallbackProtos.TopicEventBulkResponseEntry>`
  `getStatusesList()`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder`
  `getStatusesOrBuilder(int index)`
  The list of all responses for the bulk request.
  `List<? extends DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder>`
  `getStatusesOrBuilderList()`
  The list of all responses for the bulk request.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `mergeFrom(DaprAppCallbackProtos.TopicEventBulkResponse other)`
  `final DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `removeStatuses(int index)`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `setStatuses(int index, DaprAppCallbackProtos.TopicEventBulkResponseEntry value)`
  The list of all responses for the bulk request.
  `DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `setStatuses(int index, DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder builderForValue)`
  The list of all responses for the bulk request.
  `final DaprAppCallbackProtos.TopicEventBulkResponse.Builder`
  `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### clear

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### getDefaultInstanceForType

    public DaprAppCallbackProtos.TopicEventBulkResponse getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprAppCallbackProtos.TopicEventBulkResponse build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprAppCallbackProtos.TopicEventBulkResponse buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### setField

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### clearField

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### clearOneof

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### setRepeatedField

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### addRepeatedField

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder mergeFrom(DaprAppCallbackProtos.TopicEventBulkResponse other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`
    Throws:
      `IOException`

  - ### getStatusesList

    public List<DaprAppCallbackProtos.TopicEventBulkResponseEntry> getStatusesList()

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`
    Specified by:
      `getStatusesList` in interface `DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder`

  - ### getStatusesCount

    public int getStatusesCount()

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`
    Specified by:
      `getStatusesCount` in interface `DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder`

  - ### getStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponseEntry getStatuses(int index)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`
    Specified by:
      `getStatuses` in interface `DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder`

  - ### setStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder setStatuses(int index, DaprAppCallbackProtos.TopicEventBulkResponseEntry value)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### setStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder setStatuses(int index, DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder builderForValue)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### addStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder addStatuses(DaprAppCallbackProtos.TopicEventBulkResponseEntry value)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### addStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder addStatuses(int index, DaprAppCallbackProtos.TopicEventBulkResponseEntry value)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### addStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder addStatuses(DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder builderForValue)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### addStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder addStatuses(int index, DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder builderForValue)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### addAllStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder addAllStatuses(Iterable<? extends DaprAppCallbackProtos.TopicEventBulkResponseEntry> values)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### clearStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder clearStatuses()

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### removeStatuses

    public DaprAppCallbackProtos.TopicEventBulkResponse.Builder removeStatuses(int index)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### getStatusesBuilder

    public DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder getStatusesBuilder(int index)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### getStatusesOrBuilder

    public DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder getStatusesOrBuilder(int index)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`
    Specified by:
      `getStatusesOrBuilder` in interface `DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder`

  - ### getStatusesOrBuilderList

    public List<? extends DaprAppCallbackProtos.TopicEventBulkResponseEntryOrBuilder> getStatusesOrBuilderList()

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`
    Specified by:
      `getStatusesOrBuilderList` in interface `DaprAppCallbackProtos.TopicEventBulkResponseOrBuilder`

  - ### addStatusesBuilder

    public DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder addStatusesBuilder()

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### addStatusesBuilder

    public DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder addStatusesBuilder(int index)

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### getStatusesBuilderList

    public List<DaprAppCallbackProtos.TopicEventBulkResponseEntry.Builder> getStatusesBuilderList()

         The list of all responses for the bulk request.

    `repeated .dapr.proto.runtime.v1.TopicEventBulkResponseEntry statuses = 1;`

  - ### setUnknownFields

    public final DaprAppCallbackProtos.TopicEventBulkResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`

  - ### mergeUnknownFields

    public final DaprAppCallbackProtos.TopicEventBulkResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventBulkResponse.Builder>`